/* Reflow Oven Controller
*
* Copyright (C) 2022  Mario Hüttel <mario.huettel@gmx.net>
*
* This file is part of the Reflow Oven Controller Project.
*
* The reflow oven controller is free software: you can redistribute it and/or modify
* it under the terms of the GNU General Public License version 2 as
* published by the Free Software Foundation.
*
* The Reflow Oven Control Firmware is distributed in the hope that it will be useful,
* but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
* GNU General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with the reflow oven controller project.
* If not, see <http://www.gnu.org/licenses/>.
*/

#include <reflow-controller/safety/flash-crc-struct.h>
#include <helper-macros/helper-macros.h>

const struct flash_crcs IN_SECTION(.flashcrc) crcs_in_flash = {
	.start_magic = 0xA8BE53F9UL,
	.crc_section_ccm_data = 0UL,
	.crc_section_text = 0UL,
	.crc_section_data = 0UL,
	.crc_section_vectors = 0UL,
	.end_magic = 0xFFA582FFUL,
};
