#ifndef _TPR_SCANNER_HPP_
#define _TPR_SCANNER_HPP_


#if ! defined(yyFlexLexerOnce)
#include <FlexLexer.h>
#endif

#include <tpr-parser/tpr-parser.hpp>
#include <tpr-parser/location.hh>

namespace tpr {

class TempProfileScanner : public yyFlexLexer{
  public:

    TempProfileScanner(std::istream *in) : yyFlexLexer(in) {
    };
    virtual ~TempProfileScanner() {};

    //get rid of override virtual function warning
    using FlexLexer::yylex;

    virtual
      int yylex( tpr::TempProfileParser::semantic_type * const lval, 
          tpr::TempProfileParser::location_type *loc );
    // YY_DECL defined in mc_lexer.l
    // Method body created by flex in mc_lexer.yy.cc

  private:
    /* yyval ptr */
    tpr::TempProfileParser::semantic_type *yylval = nullptr;
};

} /* end namespace MC */


#endif /* _TPR_SCANNER_HPP_ */