#ifndef _TPR_TYPES_HPP_
#define _TPR_TYPES_HPP_

#include <vector>

namespace tpr {

enum class CommandType {
	pid_conf,
	temp_set,
	wait_temp,
	wait_time,
	temp_ramp,
	beep,
	temp_off,
	clear_flags,
	digio_conf,
	digio_set,
	digio_wait,
};


class TprCommand {
private:
	CommandType m_type;
	std::vector<float> m_parameters;

public:
	TprCommand(CommandType type);
	TprCommand(CommandType type, const std::vector<float> &params);
	TprCommand(CommandType type, const std::vector<float> &&params);
	
};


}

#endif /* _TPR_TYPES_HPP_ */