#ifndef _LOGGER_HPP_
#define _LOGGER_HPP_

#include <string>

enum class LogLevel {
		DEBUG,
		INFO,
		WARNING,
		ERROR,
};

class Logger {
public:	
	Logger(Logger &other) = delete;
	void operator=(const Logger &) = delete;

	void log(LogLevel lvl, const std::string &message) const;

	static Logger *get_logger();

protected:
	/* Create a proteceted instructure, to prevent construction outside of this class */
	Logger();

	static Logger *logger_inst;


};

#endif /* _LOGGER_HPP_ */