#include <tprcc/logger.hpp>
#include <iostream>

Logger *Logger::logger_inst = nullptr;

Logger::Logger()
{

}

Logger *Logger::get_logger() {
	if (logger_inst == nullptr) {
		logger_inst = new Logger();
	}

	return logger_inst;
}

void Logger::log(LogLevel lvl, const std::string &message) const
{
	switch (lvl) {
	case LogLevel::ERROR:
		std::cerr << "[ERR]" << message << std::endl;
		break;
	case LogLevel::WARNING:
		std::cerr << "[WARN]" << message << std::endl;
		break;
	default:
		std::cout << message << std::endl;
		break;
	}
}